Bug 143590 - MC View spoils bottom (F/keys) line on wrapped text
MC View spoils bottom (F/keys) line on wrapped text
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-22 12:00 EST by Dmitry Butskoy
Modified: 2013-07-02 19:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-02 09:00:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitry Butskoy 2004-12-22 12:00:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040923

Description of problem:
  When someone scrolls a file typing arrow-down in wrapped mode, and a
long (should-be-wrapped) line appears, the bottom F/keys are garbled.

Version-Release number of selected component (if applicable):
mc-4.6.1-0.11FC3

How reproducible:
Always

Steps to Reproduce:
1. Start to view any file with long lines (more than 80 ...). The file
must have such long lines on the NEXT "screen" pages (not the FIRST
only). The good example is /etc/rc.d/init.d/functions from the Fedora
Core 3 .
2. Scroll down this file by arrow-down ONLY (NOT Page-down etc.)


Actual Results:    Be patient, and you will see the garbling...

Additional info:

  This issue already is missing in rawhide versions, IMHO, it was
fixed sometimes in upstream. Therefore, the solution is just to update
MC once more :-)
Comment 1 Dmitry Butskoy 2004-12-27 11:56:26 EST
 My users stumble by this bug several times at hour... I am already
enough courageous to set "high" severity level for it.
Comment 2 Leonard den Ottolander 2004-12-27 17:28:02 EST
Pushy fellow aren't you?

Please read
https://bugzilla.redhat.com/bugzilla/bug_status.cgi#severity to learn
about the proper use of the Severity keyword.
Comment 3 Dmitry Butskoy 2004-12-28 06:40:24 EST
  Yes, "high" priority, not severity...
Comment 4 Dmitry Butskoy 2004-12-28 06:42:33 EST
  ...but I cannot set "high" priority :-( . But the priority is
"high", anyway...
Comment 5 Leonard den Ottolander 2004-12-28 16:35:40 EST
Priority is essentialy a tag for the developer. And you should
remember that your personal priorities are not necessarily identical
with those of the developer(s) or the distribution.

All you accomplish by setting these options to *your* liking is make
people _less_ interested in your opinions... So consider how you can
achieve your goal most easily.
Comment 6 Dmitry Butskoy 2005-01-13 12:44:53 EST
  mc-4.6.1a-0.3 from rawhide, compiled under fc3, works OK.
Additionally, this rawhide version of mc has no "mcview shows always
100%' bug
Comment 7 Jindrich Novy 2005-02-02 09:00:41 EST
Hello Dmitry,

I released mc-4.6.1-0.12.FC3 update which is actually mc-4.6.1-pre3
with UTF-8 fixes, these issues should be successfully solved also for
FC3 after the update.

Note You need to log in before you can comment on or make changes to this bug.